import {parse} from "next-useragent";
import DashboardCommercialChiefComponent from "@/components/dashboard/commercial-chief";

export default function CommercialChief() {
    return (
        <DashboardCommercialChiefComponent/>
    );
}

export async function getServerSideProps({req, locale}) {
    const {isBot} = parse(req.headers["user-agent"]);
    return {
        props: {
            messages: (await import(`&/locales/${locale}/app.json`)).default,
            title: "Dashboard.commercial_chief_page",
            isBot,
            locale,
            layout: {name: 'DashboardLayout', props: {permissions: ["manage_commercial_refahi"]}}
        },
    };
}
